## s6-linux-init 1.1.2.0experimental2

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

STATIC_LIBS :=
SHARED_LIBS :=
INTERNAL_LIBS :=
EXTRA_TARGETS :=
LIB_DEFS :=

define library_definition
LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
ifdef DO_SHARED
SHARED_LIBS += lib$(lastword $(subst =, ,$(1))).so.xyzzy
endif
ifdef DO_STATIC
STATIC_LIBS += lib$(lastword $(subst =, ,$(1))).a.xyzzy
endif
endef

-include config.mak
include package/targets.mak

$(foreach var,$(LIB_DEFS),$(eval $(call library_definition,$(var))))

include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
CFLAGS_SHARED := -fPIC
else
CFLAGS_SHARED :=
endif
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)

all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES) $(EXTRA_INCLUDES)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo) $(EXTRA_TARGETS)

distclean: clean
	@exec rm -f config.mak src/include/$(package)/config.h

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS) $(ALL_BINS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment $(STATIC_LIBS)
endif
ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment $(ALL_BINS) $(SHARED_LIBS)
endif

install: install-dynlib install-libexec install-bin install-lib install-include
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h) $(EXTRA_INCLUDES:src/include/%.h=$(DESTDIR)$(includedir)/%.h)

ifneq ($(exthome),)

$(DESTDIR)$(exthome): $(DESTDIR)$(home)
	exec $(INSTALL) -l $(notdir $(home)) $(DESTDIR)$(exthome)

update: $(DESTDIR)$(exthome)

global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%)

$(DESTDIR)$(sproot)/command/%: $(DESTDIR)$(home)/command/%
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/command/$(<F) $@

$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M)
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/library.so/$(<F) $@

.PHONY: update global-links

endif

$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes
	exec $(INSTALL) -D -m 600 $< $@
	grep -- ^$(@F) < package/modes | { read name mode owner && \
	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
	chmod $$mode $@ ; }

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/%.h: src/include/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

$(ALL_BINS):
	exec $(CC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)

lib%.a.xyzzy:
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

lib%.so.xyzzy:
	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)

.PHONY: it all clean distclean tgz strip install install-dynlib install-bin install-lib install-include

.DELETE_ON_ERROR:

=== debian/changelog ===
s6-linux-init (1.1.2.0experimental2-1.0antix1) unstable; urgency=medium

  * Modified compiled paths to be more standard & predictable
  * Added patched skel/rc.init.patch skel/rc.shutdown.patch skel/runlevel.patch files to quilt
  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sat, 10 Feb 2024 19:02:26 +0200

s6-linux-init (1.1.2.0-1) unstable; urgency=medium

  * Added rc-init.path to quilt
  * Initial release.

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 08 Jan 2024 23:01:30 +0100

=== debian/control ===
Source: s6-linux-init
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Uploaders: aitor <aitor_czr@gnuinos.org>, Shengjing Zhu <zhsj@debian.org>, 
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6-linux-init/
#Vcs-Browser: https://salsa.debian.org/debian/s6-linux-init
#Vcs-Git: https://salsa.debian.org/debian/s6-linux-init.git

Package: s6-linux-init
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.

Package: libs6-linux-init-1.1
Architecture: any
Section: s6-experimental
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description:  A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.
 .
 This package contains shared libraries.

Package: libs6-linux-init-dev
Architecture: any
Section: s6-experimental
Multi-Arch: same
Depends:
 libs6-linux-init-1.1 (= ${binary:Version}),
 ${misc:Depends},
Description:  A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.
 .
 This package contains static and header files.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include
CONFIG_OPT += --bindir=/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --enable-absolute-paths
CONFIG_OPT += --enable-shared
CONFIG_OPT += --enable-allstatic

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets.
# This is an example for Cmake (see <https://bugs.debian.org/641051>).
# override_dh_auto_configure:
#	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_configure-arch:
#	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6-linux-init
	cp -aT doc debian/tmp/usr/share/doc/s6-linux-init
#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/s6-linux-init-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/s6-linux-init-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/s6-linux-init/ s6-linux-init-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/s6-linux-init/s6-linux-init-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
#opts="mode=git" http://git.example.com/s6-linux-init.git \
#    refs/tags/v([\d\.]+)

## s6-linux-init 1.1.2.1

=== debian/changelog ===
s6-linux-init (1.1.2.1-1experimental2) UNRELEASED; urgency=medium
  
  * Following upstream packaging convention, since this package isn't officially available in Debian
  * https://git.adelielinux.org/adelie/packages/-/raw/current/system/s6-linux-init/APKBUILD.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 19 Apr 2025 22:22:22 +1000

s6-linux-init (1.1.2.1-1experimental1) UNRELEASED; urgency=medium

  * Various tweaks to building flags & debian paths.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 12 Apr 2025 22:22:22 +1000
 

s6-linux-init (1.1.2.1-0experimental1) UNRELEASED; urgency=medium

  * New upstream release.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000
 

s6-linux-init (1.1.2.0-1experimental2) UNRELEASED; urgency=medium

  * Repackaged for init-diversity repo. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 22 Jun 2024 22:22:22 +1000

s6-linux-init (1.1.2.0-1experimental1) UNRELEASED; urgency=medium

  * Modified compiled paths to be more standard & predictable
  * Added patched skel/rc.init.patch skel/rc.shutdown.patch skel/runlevel.patch files to quilt

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 26 Jan 2024 22:22:22 +1000

=== debian/control ===
Source: s6-linux-init
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 skalibs-dev (>= 2.14.3.0),
 execline (>= 2.9.6.0),
 libexecline-dev (>= 2.9.6.0),
 s6 (>= 2.13.1.0),
 libs6-dev (>= 2.13.1.0),
 utmps (>= 0.1.2.3),
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6-linux-init/
Vcs-Browser: https://salsa.debian.org/init-diversity-team/s6-rc/s6-linux-init
Vcs-Git: https://salsa.debian.org/init-diversity-team/s6-rc/s6-linux-init.git

Package: s6-linux-init-common
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides: s6-linux-init,
Recommends: 
 s6-linux-init-early-getty,
 s6-linux-init-dracut,
Suggests:
 utmps,
Description: A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.

Package: s6-linux-init-early-getty
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6-linux-init-common,
 Provides: s6-linux-init-earlygetty,
Description: A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 Files for a configurable early getty.

Package: s6-linux-init-dracut
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6-linux-init-common (= ${binary:Version}),
 dracut,
Description: A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 Installs the Dracut module.

Package: libs-s6-linux-init
Architecture: any
Section: init-diversity
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides: libs6-linux-init-1.1
Description:  A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.
 .
 This package contains shared libraries.

Package: libs-s6-linux-init-dev
Architecture: any
Section: init-diversity
Multi-Arch: same
Depends:
 libs6-linux-init (= ${binary:Version}),
 ${misc:Depends},
Provides: libs6-linux-init-dev
Description:  A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.
 .
 This package contains static and header files.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


# Installation directories
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=\$${prefix}

# Fine tuning of the installation directories
CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --skeldir=/etc/s6-linux-init/skel
CONFIG_OPT += --tmpfsdir=/run
#CONFIG_OPT += --scandir=\$${tmpfsdir}/s6-scandir

# Dependencies
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
#CONFIG_OPT += --with-include=\$${prefix}/include
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# Optional features
CONFIG_OPT += --enable-shared
#CONFIG_OPT += --disable-static
#CONFIG_OPT += --disable-allstatic
#CONFIG_OPT += --enable-static-libc
#CONFIG_OPT += --disable-all-pic
#CONFIG_OPT += --enable-slashpackage[=ROOT]
CONFIG_OPT += --enable-absolute-paths       
#CONFIG_OPT += --enable-nsss
CONFIG_OPT += --enable-utmps




# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm README.md; fi;
	if test -e config.mak; then rm config.mak; fi;
	if test -e package/deps.mak; then rm package/deps.mak; fi;
	dh_clean

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6-linux-init
	cp -aT doc debian/tmp/usr/share/doc/s6-linux-init

## s6-linux-init 1.1.3.0

=== debian/changelog ===
s6-linux-init (1.1.3.0-0experimental1) UNRELEASED; urgency=medium

  * New upstream release 1.1.3.0.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 17 May 2025 22:22:22 +1000
 

s6-linux-init (1.1.2.1-0experimental2) UNRELEASED; urgency=medium

  * Various tweaks to building flags & debian paths.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 12 Apr 2025 22:22:22 +1000
 

=== debian/control ===
Source: s6-linux-init
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 skalibs-dev (>= 2.14.0.0),
 execline (>= 2.9.4.0),
 libexecline-dev (>= 2.9.4.0),
 s6 (>= 2.12.0.0),
 libs6-dev (>= 2.12.0.0),
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6-linux-init/
Vcs-Browser: https://salsa.debian.org/init-diversity-team/s6-rc/s6-linux-init
Vcs-Git: https://salsa.debian.org/init-diversity-team/s6-rc/s6-linux-init.git

Package: s6-linux-init
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6 (>= 2.12.0.0),
Description: A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.

Package: libs6-linux-init-1.1
Architecture: any
Section: init-diversity
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description:  A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.
 .
 This package contains shared libraries.

Package: libs6-linux-init-dev
Architecture: any
Section: init-diversity
Multi-Arch: same
Depends:
 libs6-linux-init-1.1 (= ${binary:Version}),
 libs6-dev (>= 2.12.0.0),
 ${misc:Depends},
Description:  A tool to automate the creation of suitable stage 1 init binaries for s6-based Linux systems. 
 s6-linux-init is a set of minimalistic tools used to create a s6-based init system, including a /sbin/init binary, on a Linux kernel. It is a part of the s6 ecosystem.
 .
 This package contains static and header files.
